## MacPorts-2.1.0-rc1.tar.bz2

=== src/package1.0/Makefile ===
INSTALLDIR=	${DESTDIR}${datadir}/macports/Tcl/package1.0

SRCS=	package.tcl portdmg.tcl portmdmg.tcl portmpkg.tcl portpkg.tcl portportpkg.tcl \
	portrpm.tcl portsrpm.tcl portdpkg.tcl portunarchive.tcl \
	portarchivefetch.tcl

include ../../Mk/macports.autoconf.mk

all:: pkgIndex.tcl

pkgIndex.tcl: $(SRCS)
	$(SILENT) ../pkg_mkindex.sh .

clean::
	rm -f pkgIndex.tcl

distclean:: clean

test::

install:: all
	$(INSTALL) -d -o ${DSTUSR} -g ${DSTGRP} -m ${DSTMODE} ${INSTALLDIR}
	$(SILENT)set -x; for file in ${SRCS}; do \
		$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 444 $$file ${INSTALLDIR}; \
	done
	$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 444 pkgIndex.tcl ${INSTALLDIR}

=== src/port1.0/Makefile ===
INSTALLDIR=	${DESTDIR}${datadir}/macports/Tcl/port1.0

SRCS=	port.tcl portchecksum.tcl portconfigure.tcl portextract.tcl	    \
	portfetch.tcl portmain.tcl portbuild.tcl portpatch.tcl portutil.tcl \
	portinstall.tcl portuninstall.tcl portdepends.tcl portdestroot.tcl \
	portlint.tcl portclean.tcl porttest.tcl portactivate.tcl \
	portdeactivate.tcl portsubmit.tcl port_autoconf.tcl portstartupitem.tcl \
	porttrace.tcl portlivecheck.tcl portdistcheck.tcl portmirror.tcl \
	portload.tcl portunload.tcl portdistfiles.tcl fetch_common.tcl

include ../../Mk/macports.subdir.mk
include ../../Mk/macports.autoconf.mk

.PHONY: test

all:: pkgIndex.tcl

pkgIndex.tcl: $(SRCS)
	$(SILENT) ../pkg_mkindex.sh . || ( rm -rf $@ && exit 1 )

clean::
	rm -f pkgIndex.tcl

distclean:: clean
	rm -f port_autoconf.tcl

install:: all
	$(INSTALL) -d -o ${DSTUSR} -g ${DSTGRP} -m ${DSTMODE} ${INSTALLDIR}
	$(SILENT)set -x; for file in ${SRCS}; do \
		$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 444 $$file ${INSTALLDIR}; \
	done
	$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 444 pkgIndex.tcl ${INSTALLDIR}

test::
	${TCLSH} tests/portutil.tcl ${macports_tcl_dir}
	${TCLSH} tests/portdestroot.tcl

=== tests/test/xcodeversion/Portfile ===
# $Id: Portfile 89817 2012-02-11 09:58:11Z and.damore@macports.org $

PortSystem 1.0
name        xcodeversion
version     1
categories  test
maintainers pguyot@kallisys.net
description Test port for \$xcodeversion
homepage    http://www.macports.org/
platforms   darwin

long_description ${description}

distfiles
use_configure no
build       {}
destroot    {
    system "touch ${destroot}${prefix}/lib/${name}"
}

test {
    # rpm-vercomp is now deprecated, change it here too when removed
    # from all ports and base (but keep this test here, meanwhile...)
    # rpm-vercomp removed from ports r89810, from base r89911
    if {$xcodeversion != "" && [vercmp $xcodeversion 2.1] >= 0} {
        ui_msg "xcodeversion >= 2.1"
    } else {
        ui_msg "xcodeversion = $xcodeversion"
    }
    ui_msg "xcodebuildcmd = $xcodebuildcmd"
}
